/*******************************************************************************
 * Copyright (c) 2007-2008 INdT.
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.

 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/*
 ============================================================================
 Name        : mywindow.cpp
 Author      : test
 Version     : 0.1
 Description : CPP Hello World
 ============================================================================
 */

#include <glibmm/i18n.h>
#include <gtkmm.h>
#include <hildonmm.h>

#include "mywindow.h"

/* Class constructor */
MyWindow::MyWindow() :
	 m_button_helloworld("Welcome to Info-Pic"),
	 // m_button_capture("Capture"),
	 //m_button_send("Send"),
	 m_button_inbox("Inbox"),
	 m_button_contact("Contact"),
	 m_button_report("Report"),
	 m_button_profile("Profile"),
	 m_button_addd("Add"),
	 m_button_clearr("Clear"),
	 m_button_back("Back"),
	 m_button_cam(),
	 m_button_capture("Capture"),
	 m_button_cancle("Cancle"),
	 m_button_ok("Ok"),
	 m_button_cancle2("Cancle"),
	 m_button_select("Select"),
	 m_button_send("Send"),
	 e_txt1(),
	 e_txt2(),
	 e_txt3(),
	 e_txt4()







	// m_textview_command("Command"),
	 //m_label_command("")
{
	/* Set the menu for the application */
	Hildon::Program::get_instance()->set_common_app_menu(m_main);

	/* Add items to the menu */
	//m_main.append(m_button_helloworld);
	//m_main.append(m_button_capture);
	//m_main.append(m_button_send);
	//m_main.append(m_button_inbox);

	//Gtk::Label label("Hildon::Program example");
	this->set_title("INFO-PIC");

	this->add(hbox1);
	//this->add(hbox2);


	//this->add(hbox2);
	this->create_main_view();




	//contact container



	//box.add(m_button_helloworld);
	//box.show_all();
	hbox1.show_all();
	this->show_all();


	//m_main.append(m_textview_command);

	//m_main.append(m_label_command);

	m_main.show_all();

	/* Attach the callback function hbox1.add(vbox1);
	hbox1.add(vbox2);
	vbox1.add(button1);
	vbox1.add(button2);
	vbox2.add(button3);to signal handler */
	button1.signal_clicked().connect(
			sigc::mem_fun(*this, &MyWindow::on_menu_profile));

	button2.signal_clicked().connect(
				sigc::mem_fun(*this, &MyWindow::on_menu_contact));

	button3.signal_clicked().connect(
					sigc::mem_fun(*this, &MyWindow::on_menu_inbox));

	button4.signal_clicked().connect(
					sigc::mem_fun(*this, &MyWindow::on_menu_report));

	back.signal_clicked().connect(
					sigc::mem_fun(*this, &MyWindow::on_back));

	cancle.signal_clicked().connect(
						sigc::mem_fun(*this, &MyWindow::on_cancle));

	addd.signal_clicked().connect(
							sigc::mem_fun(*this, &MyWindow::on_add));

	ok.signal_clicked().connect(
								sigc::mem_fun(*this, &MyWindow::on_ok));

	cam.signal_clicked().connect(
									sigc::mem_fun(*this, &MyWindow::on_capture));

	select.signal_clicked().connect(
										sigc::mem_fun(*this, &MyWindow::on_select));

	/* Make all menu widgets visible */
	show_all();
}

/* Class destructor */
MyWindow::~MyWindow()
{
}

void MyWindow::create_main_view()
{
	hbox1.add(vbox1);
	hbox1.add(vbox2);
	//hbox2.add(vbox3);
	//hbox2.add(vbox4);

	vbox1.add(button1);
	vbox1.add(button2);
	vbox2.add(button3);
	vbox2.add(button4);

	button1.set_title("PROFILES");
	button2.set_title("CONTACTS");
	button3.set_title("INBOX");
	button4.set_title("REPORT");
}

void MyWindow::on_menu_helloworld()
{

	Hildon::Note helloworld_note(Hildon::NOTE_TYPE_INFORMATION, _("We welcome you to Info-Pic Maemo Application. Maemo group is always seeking for the better mobile application for it's users. Please help us improve our applications by sending your feedbacks to maemo.feedback@maemo.com!!!"));
	helloworld_note.run();
}


void MyWindow::on_menu_profile()
{

	Hildon::Note helloworld_note(Hildon::NOTE_TYPE_INFORMATION, _("Contact list from DB is shown here!!!"));
	helloworld_note.run();
}

void MyWindow::on_menu_contact()
{

	/*Hildon::Note helloworld_note(Hildon::NOTE_TYPE_INFORMATION, _("List!!!"));
	helloworld_note.run();*/

	hbox1.remove(vbox1);
	hbox1.remove(vbox2);

	/*
	hbox1.add(vbox1);
	vbox1.add(addd);
	vbox1.add(clearr);
	vbox1.add(back);
*/

	hbox1.pack_start(addd,false,false,1);
	hbox1.pack_start(clearr,false,false,1);
	hbox1.pack_start(back,false,false,1);

	addd.set_title("Add");
	clearr.set_title("Delete");
	back.set_title("Back");

	hbox1.pack_start(vbox3,false,false,1);
	hbox1.pack_start(vbox4,false,false,1);

	label.set_text("Device Name:");
	vbox3.pack_start(label,false,false,1);
	label.show();
	//e_txt1.set_max_length(80);
	//txt1.set_editable(true);
	vbox4.pack_start(txt1);


	label2.set_text("Device Id:");
	vbox3.pack_start(label2,false,false,1);
	label2.show();
	vbox4.pack_start(txt2,false,true,1);
	//txt2.set_max_length(80);

	label3.set_text("Email:");
	vbox3.pack_start(label3,false,false,1);
	label3.show();
	vbox4.pack_start(txt3,false,true,1);
	//txt3.set_max_length(80);

	label4.set_text("Phone:");
	vbox3.pack_start(label4,false,false,1);
	label4.show();
	vbox4.pack_start(txt4,false,true,1);
	//txt4.set_max_length(80);

	hbox1.show_all();

	vbox1.show_all();
	vbox3.show_all();
	vbox4.show_all();

}

void MyWindow::on_menu_inbox()
{
	hbox1.remove(vbox1);
	hbox1.remove(vbox2);

	/* Hildon::Note helloworld_note(Hildon::NOTE_TYPE_INFORMATION, _("showing!!!"));
	helloworld_note.run(); */
}


void MyWindow::on_menu_report()
{
	hbox1.remove(vbox1);
	hbox1.remove(vbox2);

	hbox1.add(cam);
	cam.set_title("Camera On");

	hbox1.add(capture);
	cam.set_title("Capture Picture");

	hbox1.add(cancle);
	cancle.set_title("Cancle");

	hbox1.show_all();

}


void MyWindow::on_back()
{
	hbox1.remove(addd);
	hbox1.remove(clearr);
	hbox1.remove(back);
	vbox3.remove(label);
	vbox3.remove(label2);
	vbox3.remove(label3);
	vbox3.remove(label4);
	vbox4.remove(txt1);
	vbox4.remove(txt2);
	vbox4.remove(txt3);
	vbox4.remove(txt4);
	this->create_main_view();
	show_all();
}

void MyWindow::on_cancle()
{
	hbox1.remove(cam);
	hbox1.remove(cancle);
	hbox1.remove(capture);
	this->create_main_view();
	show_all();
}

void MyWindow::on_add()
{

	name =txt1.get_text();
	id =txt2.get_text();
	email =txt3.get_text();
	number =txt4.get_text();

	hbox1.remove(addd);
	hbox1.remove(clearr);
	hbox1.remove(back);
	vbox3.remove(label);
	vbox3.remove(label2);
	vbox3.remove(label3);
	vbox3.remove(label4);
	vbox4.remove(txt1);
	vbox4.remove(txt2);
	vbox4.remove(txt3);
	vbox4.remove(txt4);
	hbox1.remove(cam);
	hbox1.remove(cancle);
	hbox1.remove(capture);

	hbox1.add(ok);
	ok.set_title("Successfully Stored. Close to Continue");

	hbox1.show_all();

}
void MyWindow::on_ok()
{
	hbox1.remove(ok);
	this->create_main_view();
	show_all();
}

void MyWindow::on_capture()
{
	hbox1.remove(cam);
	hbox1.remove(cancle);
	hbox1.remove(capture);


	hbox1.add(select);
	select.set_title("Select contact");
	hbox1.add(send);
	send.set_title("Send");
	hbox1.add(cancle2);
	cancle2.set_title("Cancle");

	hbox1.show_all();

}

void MyWindow::on_select()
{
	Hildon::Note helloworld_note(Hildon::NOTE_TYPE_INFORMATION, _("Select the recipient!!!"));
		helloworld_note.run();
}

