/*******************************************************************************
 * Copyright (c) 2007-2008 INdT.
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.

 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/*
 ============================================================================
 Name        : mywindow.h
 Author      : test
 Version     : 0.1
 Description : CPP Hello World I18n
 ============================================================================
 */

#ifndef MYWINDOW_H
#define MYWINDOW_H

#include <gtkmm.h>
#include <hildonmm.h>
//#include <hildonmm/text-view.h>

class MyWindow : public Hildon::Window
{
public:
	MyWindow();
	virtual ~MyWindow();

protected:
	/* Signal handlers */
	void on_menu_helloworld();
	void on_menu_profile();
	void on_menu_contact();
	void on_menu_inbox();
	void on_menu_report();
	void create_main_view();
	void on_back();
	void on_cancle();
	void on_add();
	void on_ok();
	void on_capture();
	void on_select();

/*	void on_menu_command();
	void on_menu_contact();
	void on_menu_text();   */

	/* Menu object */
	Hildon::AppMenu m_main;
	/* The menu buttons */
	Hildon::Button m_button_helloworld;

	Gtk::Button m_button_profile;
	Gtk::Button m_button_contact;
	Gtk::Button m_button_inbox;
	Gtk::Button m_button_report;
	Gtk::Button m_button_addd;
	Gtk::Button m_button_clearr;
	Gtk::Button m_button_back;
	Gtk::Button m_button_cam;
	Gtk::Button m_button_capture;
	Gtk::Button m_button_cancle;
	Gtk::Button m_button_ok;
	Gtk::Button m_button_send;
	Gtk::Button m_button_select;
	Gtk::Button m_button_cancle2;
	Gtk::Entry e_txt1;
	Gtk::Entry e_txt2;
	Gtk::Entry e_txt3;
	Gtk::Entry e_txt4;

	//Hildon::TextView textview_;




	/*
	Gtk::Button m_button_capture;
	Gtk::Button m_button_send;
	//Gtk::Grid m_grid_camera;
	Gtk::Button m_label_command;  */


	//Gtk::ButtonBox buttonbox;Hildon::Note helloworld_note(Hildon::NOTE_TYPE_INFORMATION, _(""));
    /*helloworld_note.run();Hildon::Note helloworld_note(Hildon::NOTE_TYPE_INFORMATION, _(""));
	helloworld_note.run();  */


	Gtk::HBox hbox1, hbox2;
	Gtk::VBox vbox1, vbox2, vbox3, vbox4;
	Gtk::VButtonBox box;
	Hildon::Button button1, button2, button3, button4, addd, clearr, back, cam, capture, cancle2, ok, send, select, cancle;

	Gtk::Label label, label2, label3, label4;
	Gtk::Entry txt1,txt2,txt3,txt4;
	Glib::ustring name, id, email, number;


};

#endif /* MYWINDOW_H */
